const _ = require('underscore')
const path = require('path')

function knex (overrides) {
  return _.extend({
    client: 'mysql',
    // debug: true,
    connection: {
      host: '127.0.0.1',
      user: 'root',
      password: '',
      database: 'rbac_development'
    },
    pool: {
      min: 0,
      max: 100
    },
    migrations: {
      directory: path.resolve(__dirname, 'db/migrations'),
      tableName: 'migrations'
    },
    schema: {
      filename: path.resolve(__dirname, 'db/schema.sql')
    },
    seeds: {
      directory: path.resolve(__dirname, 'db/seeds')
    }
  }, overrides)
};

module.exports = {knex}
