'use strict'

exports.up = function (knex, Promise) {
  return knex.schema.createTable('emails', function (table) {
    table.increments('id').primary().index()
    table.string('address')
  }).createTable('people', function (table) {
    table.increments('id').primary().index()
    table.integer('organization_id').unsigned().notNullable().index()
    table.integer('email_id').unsigned().notNullable().index()
    table.string('employee_id')
    table.string('full_name')
    table.boolean('member').defaultTo(false)
    table.dateTime('created_at')
    table.dateTime('updated_at')
  }).dropTable('organization_members').alterTable('group_members', function (table) {
    table.renameColumn('user_id', 'person_id')
  }).alterTable('users', function (table) {
    table.integer('email_id').unsigned().notNullable().index()
    table.dropColumn('email')
  })
}

exports.down = function (knex, Promise) {
}
