
exports.up = function (knex, Promise) {
  return knex.raw('ALTER TABLE emails CHANGE address email varchar(255) NOT NULL').then(function () {
    return knex.schema.alterTable('people', function (table) {
      table.index(['organization_id', 'email_id'])
    }).alterTable('group_members', function (table) {
      table.dropIndex('person_id', 'group_members_user_id_index')
      table.index('person_id', 'group_members_person_id_index')
    }).alterTable('emails', function (table) {
      table.unique('email')
      table.dateTime('created_at')
    }).alterTable('users', function (table) {
      table.dropColumn('updated_at')
      table.dateTime('last_signed_in_at')
      table.dateTime('reset_session_at')
      table.string('auth_token')
      table.dateTime('auth_token_sent_at')
    })
  })
}

exports.down = function (knex, Promise) {

}
