var triggers = [
// groups_after_update
  'DROP TRIGGER IF EXISTS groups_after_update',
  `CREATE TRIGGER groups_after_update AFTER UPDATE ON groups
FOR EACH ROW
BEGIN
  IF NEW.archived THEN
    DELETE FROM group_members WHERE group_id = NEW.id;
  END IF;
END`,

  // groups_before_delete
  'DROP TRIGGER IF EXISTS groups_before_delete',
  `CREATE TRIGGER groups_before_delete BEFORE DELETE ON groups
FOR EACH ROW
BEGIN
  DELETE FROM group_members WHERE group_id = OLD.id;
END`,

  // people_before_delete
  'DROP TRIGGER IF EXISTS people_before_delete',
  `CREATE TRIGGER people_before_delete BEFORE DELETE ON people
FOR EACH ROW
BEGIN
  DELETE FROM group_members WHERE person_id = OLD.id;
END`,

  // organizations_before_delete
  'DROP TRIGGER IF EXISTS organizations_before_delete',
  `CREATE TRIGGER organizations_before_delete BEFORE DELETE ON organizations
FOR EACH ROW
BEGIN
  DELETE FROM groups WHERE organization_id = OLD.id;
  DELETE FROM people WHERE organization_id = OLD.id;
  DELETE FROM permissions WHERE organization_id = OLD.id;
END`
]

exports.up = function (knex, Promise) {
  return Promise.each(triggers, function (trigger) {
    return knex.raw(trigger)
  })
}

exports.down = function (knex, Promise) {
  return Promise.resolve()
}
