/* global describe it */
/* eslint-disable no-unused-expressions */
const {expect} = require('chai')
const Variant = require('./variant')

describe('Variant', function () {
  describe('fromString', function () {
    it('parse a empty', function () {
      var variant = Variant.fromString()
      expect(variant).to.be.undefined
    })

    it('parse an organization', function () {
      var variant = Variant.fromString('O12')
      expect(variant.type).to.eql('organization')
      expect(variant.id).to.eql(12)
      expect(variant.uid).to.eql('O12')
    })

    it('parse a group', function () {
      var variant = Variant.fromString('G123')
      expect(variant.type).to.eql('group')
      expect(variant.id).to.eql(123)
      expect(variant.uid).to.eql('G123')
    })

    it('parse a person', function () {
      var variant = Variant.fromString('P1234')
      expect(variant.type).to.eql('person')
      expect(variant.id).to.eql(1234)
      expect(variant.uid).to.eql('P1234')
    })

    it('not parse operators', function () {
      expect(Variant.fromString('(')).to.be.undefined
    })
  })
})
