const httpError = require('http-errors')

module.exports = function (Rbac) {
  const {Privilege} = Rbac

  return {
    loadById: function (req, res, next, id) {
      Privilege.findById(id).then(function (privilege) {
        if (!privilege) return next(httpError.NotFound('Privilege Not Found'))
        req.privilege = privilege
        next()
      }).catch(next)
    },

    index: function (req, res, next) {
      var qb = Privilege.query()
      qb.then(function (privileges) {
        res.json(privileges)
      }).catch(next)
    },

    create: function (req, res, next) {
      Privilege.createByName(req.body.name).then(function (privilege) {
        res.json(privilege)
      }).catch(next)
    },

    patch: function (req, res, next) {
      Privilege.update(req.privilege, req.body).then(function (privilege) {
        res.json(privilege)
      }).catch(next)
    },

    destroy: function (req, res, next) {
      Privilege.removeById(req.privilege.id).then(function () {
        res.json(null)
      }).catch(next)
    }
  }
}
