const httpError = require('http-errors')

module.exports = function (Rbac) {
  return {
    validate: function (req, res, next) {
      Rbac.User.findByEmail(req.query.email).then(function (user) {
        res.json({email: !user})
      }).catch(next)
    },

    loadById: function (req, res, next, id) {
      Rbac.User.findById(id).then(function (user) {
        if (!user) return next(httpError.NotFound("That user doesn't exist"))
        req.user = user
        next()
      }).catch(next)
    },

    index: function (req, res, next) {
      var qb = Rbac.User.query().joinEmail().whereQuery(req.query)
      qb.then(function (users) {
        return Rbac.User.load(users, 'people.organization')
      }).then(function (users) {
        res.json(users)
      }).catch(next)
    },

    show: function (req, res, next) {
      Rbac.User.load(req.user, 'people.organization').then(function (user) {
        res.json(user)
      }).catch(next)
    },

    reset: function (req, res, next) {
      var query = req.user ? {id: req.user.id} : req.body
      Rbac.User.resetSessions(query).then(function () {
        res.end()
      }).catch(next)
    }
  }
}
