/* global beforeEach describe it */
/* eslint-disable no-unused-expressions */
const _ = require('underscore')
const {expect} = require('chai')
const Factory = require('../factory')
const {Privilege} = require('../rbac')

describe('Privilege', () => {
  describe('bulkCreate', () => {
    var privilege
    var privilegeNames = ['P1', 'P2', 'P3']
    beforeEach(async () => {
      privilege = await Factory.create('privilege', {name: 'P2'})
    })

    it('should create all the names', () => {
      return Privilege.bulkCreate(privilegeNames).then(function (privileges) {
        var names = _.pluck(privileges, 'name')
        expect(names).to.eql(privilegeNames)
      })
    })

    it('should retain existing ids', () => {
      return Privilege.bulkCreate(privilegeNames).then(function (privileges) {
        var ids = _.pluck(privileges, 'id')
        expect(ids).to.include(privilege.id)
      })
    })
  })
})
