/* global after */
const Promise = require('bluebird')
const express = require('express')
const http = require('http')
const bodyParser = require('body-parser')
const busboy = require('connect-busboy')
const config = require('./config')
const Rbac = require('./rbac')

// Test application
const app = express()
app.use(bodyParser.json())
app.use(busboy())

// Test middleware
app.use(function (req, res, next) {
  if (!req.headers.from) return next()
  Rbac.User.findByEmail(req.headers.from).then(function (user) {
    req.currentUser = user
    next()
  })
})

// RBAC
app.use(Rbac.router)

// Start the server
const server = http.createServer(app)
const listen = Promise.promisify(server.listen, {context: server})
listen(config.port).error((err) => {
  return console.error('Could not start server:', err)
})

after(() => server.close())

module.exports = app
